Dragon Basher: CGI Perl module

Posted: 10‑08‑2016 19:18


QuaCzar


Fire Flipper
1803 posts
I'm attempting to run Queville without using the Perl CGI module, as a version of Perl doesn't seem to have it. I have the "use CGI" line (as well as any lines containing "CGI::") commented out for this version, and it seems to work so far. If I find something more out, I'll post here.

-QuaCzar : SysOp | P2P Guide | Anarchy Leader | #1 Magic

 


Posted: 10‑08‑2016 19:19


QuaCzar


Fire Flipper
1803 posts
This only affects two files: 11-sysop.cgi and 11-dragon.cgi which generate errors that the module can't be found.

-QuaCzar : SysOp | P2P Guide | Anarchy Leader | #1 Magic

 


Posted: 10‑19‑2016 22:57


QuaCzar


Fire Flipper
1803 posts
I asked Joe, and we think that commenting out this module would only affect things if there was an error, in which case the error message could be less descriptive, but it shouldn't otherwise affect the running of the server.

-QuaCzar : SysOp | P2P Guide | Anarchy Leader | #1 Magic

 


Hunt food, smith weapons, and prepare for battle! Can you stop
the Evil Que from taking over the entire game? Browser based multi-player
fantasy role-playing game that requires no downloads or plug-ins! Free to play forever!

By being at queville.com, you agree to our Terms of Service.